package it.integry.integrywmsnative.gest.ordini_uscita_elenco;

import it.integry.integrywmsnative.core.rest.model.OrdineUscitaInevasoDTO;
import it.integry.integrywmsnative.core.utility.UtilityReflections;

public class OrdiniUscitaElencoDTO extends OrdineUscitaInevasoDTO {

    private boolean hidden = false;

    public static OrdiniUscitaElencoDTO fromParent(OrdineUscitaInevasoDTO parent) throws Exception {
        OrdiniUscitaElencoDTO child = new OrdiniUscitaElencoDTO();
        UtilityReflections.copy(parent, child);
        return child;
    }

    public boolean isHidden() {
        return hidden;
    }

    public OrdiniUscitaElencoDTO setHidden(boolean hidden) {
        this.hidden = hidden;
        return this;
    }
}
